Developer Tools
API Documentation.
Read-only access to your The Early Bird data
Authentication

Include your API key in every request using the X-API-Key header.

curl https://a2mcrewboss-production.up.railway.app/v1/jobs \
  -H "X-API-Key: cl_live_your_key_here"
Paste your key to try endpoints
Pagination

List endpoints support limit (default 50, max 200) and offset query parameters. Responses include a meta object with the total count.

Jobs
Active and past job sites.
GET/v1/jobs

List all jobs. Optionally filter by status.

Parameters
NameTypeDescription
statusstringFilter by status (scheduled, active, pending_completion, completed, archived)
limitnumberMax results (default 50, max 200)
offsetnumberSkip this many results
Example Response
{
  "data": [
    {
      "id": "abc-123",
      "name": "Riverside Office Park",
      "client_name": "Acme Construction",
      "status": "active",
      "start_date": "2026-03-01",
      "city": "San Diego",
      "state": "CA"
    }
  ],
  "meta": {
    "total": 12,
    "limit": 50,
    "offset": 0
  }
}
GET/v1/jobs/:id

Get a single job by ID.

Example Response
{
  "data": {
    "id": "abc-123",
    "name": "Riverside Office Park",
    "client_name": "Acme Construction",
    "status": "active",
    "start_date": "2026-03-01",
    "address_line1": "1247 Maple Ridge Rd",
    "city": "San Diego",
    "state": "CA",
    "zip_code": "92101"
  }
}
Rate Limits

The API allows up to 120 requests per minute per account. If you exceed this limit, you'll receive a 429 status code. Wait a minute and try again.